Package: groovy.text

## [Java] Class TemplateParseException

- groovy.text.TemplateParseException

-     public class TemplateParseException
      extends RuntimeException

  A custom exception class to flag template parsing errors

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateParseException(int lineNumber, int column)` Creates an exception for a parse failure at the supplied template position.
    `TemplateParseException(String message, int lineNumber, int column)` Creates an exception for a parse failure at the supplied template position.
    `TemplateParseException(String message, Throwable cause, int lineNumber, int column)` Creates an exception for a parse failure at the supplied template position.
    `TemplateParseException(Throwable t, int lineNumber, int column)` Creates an exception for a parse failure at the supplied template position.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getColumn()` Returns the column where parsing failed.
    `` | `public int` | `getLineNumber()` Returns the line where parsing failed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public TemplateParseException(int lineNumber, int column)

      Creates an exception for a parse failure at the supplied template position.

      Parameters:
        `lineNumber` - one-based line number in the template source
        `column` - one-based column number in the template source

    - #### public TemplateParseException(String message, int lineNumber, int column)

      Creates an exception for a parse failure at the supplied template position.

      Parameters:
        `message` - a description of the parse failure
        `lineNumber` - one-based line number in the template source
        `column` - one-based column number in the template source

    - #### public TemplateParseException(String message, Throwable cause, int lineNumber, int column)

      Creates an exception for a parse failure at the supplied template position.

      Parameters:
        `message` - a description of the parse failure
        `cause` - the underlying parse failure
        `lineNumber` - one-based line number in the template source
        `column` - one-based column number in the template source

    - #### public TemplateParseException(Throwable t, int lineNumber, int column)

      Creates an exception for a parse failure at the supplied template position.

      Parameters:
        `t` - the underlying parse failure
        `lineNumber` - one-based line number in the template source
        `column` - one-based column number in the template source

  - ### Method Detail

    - #### public int getColumn()

      Returns the column where parsing failed.

      Returns:
        the one-based column number of the parse failure

    - #### public int getLineNumber()

      Returns the line where parsing failed.

      Returns:
        the one-based line number of the parse failure